Bug 1010631 - [exportfs] error(unknown keyword "test-client-(rw") happen, when /proc/fs/nfsd not mount
[exportfs] error(unknown keyword "test-client-(rw") happen, when /proc/fs/nfs...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.5
All Linux
high Severity low
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 03:30 EDT by Yin.JianHong
Modified: 2016-12-05 04:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 16:38:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-22 03:30:08 EDT
Description of problem:
some error message find in kernel test cases:
==> unknown keyword "test-client-(rw") happen
by debug, if /proc/fs/nfsd not mount, it happens always.

Version-Release number of selected component (if applicable):
Now test in RHEL6.4 and RHEL6.5-20130913.0 it reproduced. (5.10 7.0 is OK)
nfs-utils-1.2.3-36 nfs-utils-1.2.3-38

How reproducible:
100%

Steps to Reproduce:
1. service nfs start
2. pkill rpc.mountd && umount /proc/fs/nfsd
3. exportfs -iv *:/tmp

Actual results:
[root@intel-canoepass-01 ~]# exportfs -iv *:/tmp
exporting *:/tmp
exportfs: /proc/fs/nfs/exports:1: unknown keyword "test-client-(rw"

Expected results:
no error.

Additional info:
  Test In RHEL5.10 RHEL7.0 it not happen;
Comment 2 Steve Dickson 2013-09-22 05:20:23 EDT
(In reply to Yin.JianHong from comment #0)
> Description of problem:
> some error message find in kernel test cases:
> ==> unknown keyword "test-client-(rw") happen
> by debug, if /proc/fs/nfsd not mount, it happens always.
> 
> Version-Release number of selected component (if applicable):
> Now test in RHEL6.4 and RHEL6.5-20130913.0 it reproduced. (5.10 7.0 is OK)
> nfs-utils-1.2.3-36 nfs-utils-1.2.3-38
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. service nfs start
> 2. pkill rpc.mountd && umount /proc/fs/nfsd
Unmounting /proc/fs/nfsd will break a number of things. Its invalid configuration something that is not supported.

> 3. exportfs -iv *:/tmp
> 
> Actual results:
> [root@intel-canoepass-01 ~]# exportfs -iv *:/tmp
> exporting *:/tmp
> exportfs: /proc/fs/nfs/exports:1: unknown keyword "test-client-(rw"
> 
> Expected results:
> no error.
> 
> Additional info:
>   Test In RHEL5.10 RHEL7.0 it not happen;
Comment 3 Yin.JianHong 2013-09-22 05:43:23 EDT
(In reply to Steve Dickson from comment #2)
> (In reply to Yin.JianHong from comment #0)
> > Description of problem:
> > some error message find in kernel test cases:
> > ==> unknown keyword "test-client-(rw") happen
> > by debug, if /proc/fs/nfsd not mount, it happens always.
> > 
> > Version-Release number of selected component (if applicable):
> > Now test in RHEL6.4 and RHEL6.5-20130913.0 it reproduced. (5.10 7.0 is OK)
> > nfs-utils-1.2.3-36 nfs-utils-1.2.3-38
> > 
> > How reproducible:
> > 100%
> > 
> > Steps to Reproduce:
> > 1. service nfs start
> > 2. pkill rpc.mountd && umount /proc/fs/nfsd
> Unmounting /proc/fs/nfsd will break a number of things. Its invalid
> configuration something that is not supported.
-In RHEL7.0 it's OK;

-Sometimes we need build testEnv by err config to cover many code branch.
Though the env has an "error" config.
But This is a code logic error:
Anyway the code should recognize this special options "-test-client-",
 and should not give that err message to confuse our customers or users.

> 
> > 3. exportfs -iv *:/tmp
> > 
> > Actual results:
> > [root@intel-canoepass-01 ~]# exportfs -iv *:/tmp
> > exporting *:/tmp
> > exportfs: /proc/fs/nfs/exports:1: unknown keyword "test-client-(rw"
> > 
> > Expected results:
> > no error.
> > 
> > Additional info:
> >   Test In RHEL5.10 RHEL7.0 it not happen;
Comment 4 Steve Dickson 2015-04-21 16:38:45 EDT
(In reply to Yin.JianHong from comment #0)
> Description of problem:
> some error message find in kernel test cases:
> ==> unknown keyword "test-client-(rw") happen
> by debug, if /proc/fs/nfsd not mount, it happens always.
> 
> Version-Release number of selected component (if applicable):
> Now test in RHEL6.4 and RHEL6.5-20130913.0 it reproduced. (5.10 7.0 is OK)
> nfs-utils-1.2.3-36 nfs-utils-1.2.3-38
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. service nfs start
> 2. pkill rpc.mountd && umount /proc/fs/nfsd
> 3. exportfs -iv *:/tmp
This is not a supported configuration. Customers are
not going to be killing things and unmount things
with the expectation of a stable/errorless system.
 
> 
> Additional info:
>   Test In RHEL5.10 RHEL7.0 it not happen;

This is pure luck! ;-)
Comment 5 Yin.JianHong 2015-04-21 21:06:47 EDT
(In reply to Steve Dickson from comment #4)
> (In reply to Yin.JianHong from comment #0)
> > Description of problem:
> > some error message find in kernel test cases:
> > ==> unknown keyword "test-client-(rw") happen
> > by debug, if /proc/fs/nfsd not mount, it happens always.
> > 
> > Version-Release number of selected component (if applicable):
> > Now test in RHEL6.4 and RHEL6.5-20130913.0 it reproduced. (5.10 7.0 is OK)
> > nfs-utils-1.2.3-36 nfs-utils-1.2.3-38
> > 
> > How reproducible:
> > 100%
> > 
> > Steps to Reproduce:
> > 1. service nfs start
> > 2. pkill rpc.mountd && umount /proc/fs/nfsd
> > 3. exportfs -iv *:/tmp
> This is not a supported configuration. Customers are
> not going to be killing things and unmount things
> with the expectation of a stable/errorless system.
>  
> > 
> > Additional info:
> >   Test In RHEL5.10 RHEL7.0 it not happen;
> 
> This is pure luck! ;-)

Ok,,steved. but I still think there is a logic defect..

Why in RHEL-5 and RHEL-7 test pass?

Note You need to log in before you can comment on or make changes to this bug.